Subject: Re: Compiling "pure" windows programs
From: [email-masked] (Gunther Ebert)

6 Dec 1996 03:37:48 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; I)
Original-To: Bala Parthasarathy <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

Bala Parthasarathy wrote:
> 
> I've used the gnu-win32 (b16) to port my Unix program to NT and 95
> and it works beautifully (they're all console apps)
> 
> As the next step, I'd like to port some of the Windows programs (that
> display a window) that I compiled under MSVC to work with gnu-win32
> environment (my main motivation is to use gnu make) but I'm not having
> much joy here.
> 
> The FAQ recommends that I download the Win32 API Package (Scott
> Christley) but I could not get it built on the NT machine - the
> configure seemed to be too Unixy.
> 
> Is there any way to use the header file and import libraries from
> MSVC? (Hope this is not an incredibly dumb question!) Does the Windows
> SDK have these files?
> 
> Obviously, a lot of people must have done this, and it'll be a big help
> for me and other newbies to have a step-by-step of how to do this.
> 
> Please send me email and I'll summarize the response.
> 

Check out 

http://www.fu.is.saga-u.ac.jp/~colin/mingw32-download.html,

You will find an interface for using crtdll.dll (the standard C
library which is included in Windows NT and Windows 95) there.
Using this package you will get most of the MSVC stuff compiled.

Gunther
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".